Skip to main content
POST
/
consumers
/
{consumer_id}
/
accounting
/
miscellaneous-operation
Create miscellaneous operation
curl --request POST \
  --url https://api.chift.eu/consumers/{consumer_id}/accounting/miscellaneous-operation \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency": "<string>",
  "lines": [
    {
      "amount": 123,
      "type": "customer_account",
      "account_number": "<string>",
      "line_number": 1,
      "description": "<string>",
      "partner_id": "<string>",
      "analytic_account": "<string>"
    }
  ],
  "operation_date": "2023-12-25",
  "operation_number": "<string>",
  "currency_exchange_rate": 1,
  "journal_id": "<string>",
  "status": "posted"
}
'
{
  "currency": "<string>",
  "lines": [
    {
      "amount": 123,
      "type": "customer_account",
      "account_number": "<string>",
      "line_number": 1,
      "description": "<string>",
      "partner_id": "<string>",
      "analytic_account": "<string>"
    }
  ],
  "journal_id": "<string>",
  "status": "cancelled",
  "id": "<string>",
  "operation_number": "<string>",
  "currency_exchange_rate": 1,
  "operation_date": "1970-01-01"
}

Documentation Index

Fetch the complete documentation index at: https://docs.chift.eu/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

consumer_id
string<uuid>
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

Body

application/json
currency
string
required

Indicates the currency of the operation (e.g., EUR, USD).

lines
MiscellaneousOperationLine · object[]
required
operation_date
string<date>
required
operation_number
string | null
currency_exchange_rate
number | null
default:1

Indicates the exchange rate at the date of the operation. Must be filled in when creating the operation in another currency from the folder's default currency.

journal_id
string | null

Indicates the journal used in for the operation. If the journal is not given, the journal will be automatically set if only one journal exists otherwise an error will be thrown.

status
enum<string> | null
default:posted
Available options:
draft,
posted

Response

Successful Response

currency
string
required

Indicates the currency of the operation (e.g., EUR, USD).

lines
MiscellaneousOperationLine · object[]
required
journal_id
string
required

Indicates the journal used in for the operation.

status
enum<string>
required
Available options:
cancelled,
draft,
posted,
matched
id
string
required
operation_number
string | null
currency_exchange_rate
number | null
default:1

Indicates the exchange rate at the date of the operation. Must be filled in when creating the operation in another currency from the folder's default currency.

operation_date
string<date> | null
default:1970-01-01

Accounting date of the miscellaneous operation. It is automatically set to '1970-01-01' if the value is not available/empty in the accounting system.